aboutsummaryrefslogtreecommitdiff
path: root/mail/dovecot/files/dovecot.sh.sample
diff options
context:
space:
mode:
Diffstat (limited to 'mail/dovecot/files/dovecot.sh.sample')
-rw-r--r--mail/dovecot/files/dovecot.sh.sample21
1 files changed, 21 insertions, 0 deletions
diff --git a/mail/dovecot/files/dovecot.sh.sample b/mail/dovecot/files/dovecot.sh.sample
new file mode 100644
index 000000000000..625021fa6def
--- /dev/null
+++ b/mail/dovecot/files/dovecot.sh.sample
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+if ! PREFIX=$(expr $0 : "\(/.*\)/etc/rc\.d/$(basename $0)\$"); then
+ echo "$0: Cannot determine the PREFIX" >&2
+ exit 1
+fi
+
+case "$1" in
+start)
+ [ -x ${PREFIX}/sbin/dovecot ] && \
+ ${PREFIX}/sbin/dovecot && echo -n ' dovecot'
+ ;;
+stop)
+ /usr/bin/killall dovecot && echo -n ' dovecot'
+ ;;
+*)
+ echo "Usage: `basename $0` { start | stop }" >&2
+ ;;
+esac
+
+exit 0